<?php
	/*
	*by Krite (http://upcoder.net)
	*/
	define('_IN_JOHNCMS', 1);
	$headmod = 'blogssearch';
	require_once '../incfiles/core.php';
	$prefix = $set['prefblog'];
	$textl = 'Блоги-поиск';
	require_once('../incfiles/head.php');
	echo '<div class="phdr"><strong>Поиск по блогам</strong></div>';
	////////////////////////////////////////////////////////////
	// Принимаем данные, выводим форму поиска                 //
	////////////////////////////////////////////////////////////
	$search = isset ($_POST['search']) ? trim($_POST['search']) : '';
	$search = $search ? $search : rawurldecode(trim($_GET['search']));
	$search = preg_replace("/[^\w\x7F-\xFF\s]/", " ", $search);

	echo '<div class="list1"><form action="?act=search" method="post">';
	echo '<input type="text" value="' . ($search ? checkout($search) : '') . '" name="search" /> ';
	echo '<input type="submit" value="Поиск" name="submit" /><br />';
	echo '</form></div>';

	////////////////////////////////////////////////////////////
	// Проверям на ошибки                                     //
	////////////////////////////////////////////////////////////
	$error = false;
	if ($search && mb_strlen($search) < 4)
		$error = 'Общая длина поискового запроса должна быть не менее 4 букв.';
	if ($search && mb_strlen($search) > 64)
		$error = 'Общая длина поискового запроса должна быть не более 64 букв.';

	if ($search && !$error)
	{
		////////////////////////////////////////////////////////////
		// Выводим результаты поиска                              //
		////////////////////////////////////////////////////////////
		echo '<div class="phdr">Результаты поиска по запросу <strong>'.$search.'</strong>:</div>';
		$total = mysql_result(mysql_query("SELECT COUNT(*) FROM `".$prefix."blogs` WHERE `text` LIKE '%".$search."%' OR `name` LIKE '%".$search."%';"), 0);
		if($total)
		{
			$res = mysql_query("SELECT * FROM `".$prefix."blogs` WHERE `text` LIKE '%".$search."%' OR `name` LIKE '%".$search."%' ORDER BY `time` DESC LIMIT " . $start . "," . $kmess);
			while ($row = mysql_fetch_assoc($res))
			{
				echo ($i % 2) ? '<div class="list1">' : '<div class="list2">';
				echo '<a href="index.php?act=view&amp;id=' . $row['id'] . '">' . $row['name'] . '</a>';
				echo '<div class="sub">';
				if (mb_strlen($row['text']) > 150)
				{
					$text = mb_substr($row['text'], 0, 150);
					$text = checkout($text, 0, 2);
					echo $text.'...<br />';
				}
				else
				{
					echo checkout($row['text'], 0, 2).'<br />';
				}
				echo '</div></div>';
				++$i;
			}
		}
		else
		{
			echo '<div class="menu">Ни чего не найдено</div>';
		}
		echo '<div class="phdr">Всего совпадений: ' . $total . '</div>';
		if ($total > $kmess)
		{
			// Навигация по страницам
			echo '<p class="menu">' . pagenav('search.php?', $start, $total, $kmess) . '<br />';
			echo '<form action="" method="POST"><input type="text" name="page" size="2"/> <input type="submit" value="Перейти"/></form></p>';
		}
	}
	else 
	{
		// Выводим сообщение об ошибке
		if ($error)
			echo '<div class="rmenu">ОШИБКА!<br />' . $error . '</div>';
		// Инструкции для поиска
		echo '<div class="phdr"><small>Длина запроса: 4мин., 64макс.<br />Поиск нечувствителен к регистру букв</small></div>';
	}
	echo '<p class="menu">' . ($search ? '<a href="search.php">Новый поиск</a><br />' : '') . '<a href="index.php">Вернуться</a></p>';
	require_once '../incfiles/end.php';

?>